Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.emfstore.internal.ui.decorator
Class RepositoryViewLabelDecorator

    java.lang.Object
      org.eclipse.core.commands.common.EventManager
          org.eclipse.jface.viewers.BaseLabelProvider
              org.eclipse.jface.viewers.LabelProvider
                  org.eclipse.emf.ecp.emfstore.internal.ui.decorator.RepositoryViewLabelDecorator

All Implemented Interfaces:
  org.eclipse.emf.emfstore.client.observer.ESLoginObserver, org.eclipse.emf.emfstore.client.observer.ESLogoutObserver, org.eclipse.emf.emfstore.common.ESObserver, org.eclipse.jface.viewers.IBaseLabelProvider, org.eclipse.jface.viewers.ILabelProvider, org.eclipse.jface.viewers.ILightweightLabelDecorator

    public class RepositoryViewLabelDecorator

extends org.eclipse.jface.viewers.LabelProvider
implements org.eclipse.jface.viewers.ILightweightLabelDecorator, org.eclipse.emf.emfstore.client.observer.ESLoginObserver, org.eclipse.emf.emfstore.client.observer.ESLogoutObserver

Decorates the label of a `ServerInfo` object according to its login state.

Author:
  Eugen Neufeld
See Also:
  `ILightweightLabelDecorator`

Constructor Summary
`RepositoryViewLabelDecorator()`

Method Summary
`void` | `addListener(org.eclipse.jface.viewers.ILabelProviderListener listener)`
`void` | `decorate(Object element, org.eclipse.jface.viewers.IDecoration decoration)`
`void` | `dispose()`
`boolean` | `isLabelProperty(Object element, String property)`
`void` | `loginCompleted(org.eclipse.emf.emfstore.client.ESUsersession session)`
`void` | `logoutCompleted(org.eclipse.emf.emfstore.client.ESUsersession session)`
`void` | `removeListener(org.eclipse.jface.viewers.ILabelProviderListener listener)`

Methods inherited from class org.eclipse.jface.viewers.LabelProvider
`getImage, getText`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RepositoryViewLabelDecorator

    public RepositoryViewLabelDecorator()

Method Detail

### decorate

    public void decorate(Object element,
                         org.eclipse.jface.viewers.IDecoration decoration)

  Specified by:
    `decorate` in interface `org.eclipse.jface.viewers.ILightweightLabelDecorator`

### addListener

    public void addListener(org.eclipse.jface.viewers.ILabelProviderListener listener)

  Specified by:
    `addListener` in interface `org.eclipse.jface.viewers.IBaseLabelProvider`
  Overrides:
    `addListener` in class `org.eclipse.jface.viewers.BaseLabelProvider`
  See Also:
    `BaseLabelProvider.addListener(org.eclipse.jface.viewers.ILabelProviderListener)`

### dispose

    public void dispose()

  Specified by:
    `dispose` in interface `org.eclipse.jface.viewers.IBaseLabelProvider`
  Overrides:
    `dispose` in class `org.eclipse.jface.viewers.BaseLabelProvider`
  See Also:
    `BaseLabelProvider.dispose()`

### isLabelProperty

    public boolean isLabelProperty(Object element,
                                   String property)

  Specified by:
    `isLabelProperty` in interface `org.eclipse.jface.viewers.IBaseLabelProvider`
  Overrides:
    `isLabelProperty` in class `org.eclipse.jface.viewers.BaseLabelProvider`

### removeListener

    public void removeListener(org.eclipse.jface.viewers.ILabelProviderListener listener)

  Specified by:
    `removeListener` in interface `org.eclipse.jface.viewers.IBaseLabelProvider`
  Overrides:
    `removeListener` in class `org.eclipse.jface.viewers.BaseLabelProvider`
  See Also:
    `BaseLabelProvider.removeListener(org.eclipse.jface.viewers.ILabelProviderListener)`

### loginCompleted

    public void loginCompleted(org.eclipse.emf.emfstore.client.ESUsersession session)

  Specified by:
    `loginCompleted` in interface `org.eclipse.emf.emfstore.client.observer.ESLoginObserver`

### logoutCompleted

    public void logoutCompleted(org.eclipse.emf.emfstore.client.ESUsersession session)

  Specified by:
    `logoutCompleted` in interface `org.eclipse.emf.emfstore.client.observer.ESLogoutObserver`

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.